summaryrefslogtreecommitdiff
path: root/qa/1050
diff options
context:
space:
mode:
authorIgor Pashev <pashev.igor@gmail.com>2014-10-26 12:33:50 +0400
committerIgor Pashev <pashev.igor@gmail.com>2014-10-26 12:33:50 +0400
commit47e6e7c84f008a53061e661f31ae96629bc694ef (patch)
tree648a07f3b5b9d67ce19b0fd72e8caa1175c98f1a /qa/1050
downloadpcp-47e6e7c84f008a53061e661f31ae96629bc694ef.tar.gz
Debian 3.9.10debian/3.9.10debian
Diffstat (limited to 'qa/1050')
-rwxr-xr-xqa/105049
1 files changed, 49 insertions, 0 deletions
diff --git a/qa/1050 b/qa/1050
new file mode 100755
index 0000000..21b7088
--- /dev/null
+++ b/qa/1050
@@ -0,0 +1,49 @@
+#! /bin/sh
+# PCP QA Test No. 1050 (formerly 553)
+# check line length in pmieconf default rules
+#
+# Copyright (c) 1995-2002 Silicon Graphics, Inc. All Rights Reserved.
+#
+
+seq=`basename $0`
+echo "QA output created by $seq"
+
+# get standard environment, filters and checks
+. ./common.product
+. ./common.filter
+. ./common.check
+
+which pmieconf >/dev/null 2>&1 || _notrun "No pmieconf binary installed"
+
+status=1 # failure is the default!
+trap "rm -f $tmp.*; exit \$status" 0 1 2 3 15
+
+_length_check()
+{
+ sed -e 's/ / /g' \
+ | $PCP_AWK_PROG '
+$1 == "rule:" { rule = $0 }
+ {
+ line = $0
+ if (length(line) > '$1') {
+ print rule
+ print "text is too long: "
+ print
+ }
+ }'
+}
+
+# real QA test starts here
+echo
+echo "=== Checking help text ==="
+pmieconf -f $tmp.pmie help all | _length_check 80
+echo
+echo "=== Checking predicate ==="
+# increased from 80 to 96 because of all of the crap white space to the
+# left of the real prodicate text.
+#
+pmieconf -f $tmp.pmie list all predicate | _length_check 96
+
+# success, all done
+status=0
+exit